Bug 1355987 (CVE-2016-6258, xsa182) - CVE-2016-6258 xsa182 xen: x86: Privilege escalation in PV guests (XSA-182)
Summary: CVE-2016-6258 xsa182 xen: x86: Privilege escalation in PV guests (XSA-182)
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-6258, xsa182
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1360358
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 08:32 UTC by Adam Mariš
Modified: 2019-09-29 13:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found Xen's MMU emulation for x86 PV guests. A malicious administrator of an x86 PV guest could control some of the page table bits, allowing potential control of memory and code execution in the host. x86 HVM and ARM guests could not exploit this flaw.
Clone Of:
Environment:
Last Closed: 2016-07-26 13:47:48 UTC


Attachments (Terms of Use)
Xen 4.5 patch (4.10 KB, patch)
2016-07-13 08:33 UTC, Adam Mariš
no flags Details | Diff
Xen 4.6 patch (4.13 KB, patch)
2016-07-13 08:33 UTC, Adam Mariš
no flags Details | Diff
xen-unstable patch (4.17 KB, patch)
2016-07-13 08:34 UTC, Adam Mariš
no flags Details | Diff

Description Adam Mariš 2016-07-13 08:32:39 UTC
ISSUE DESCRIPTION
=================

The PV pagetable code has fast-paths for making updates to pre-existing
pagetable entries, to skip expensive re-validation in safe cases
(e.g. clearing only Access/Dirty bits).  The bits considered safe were too
broad, and not actually safe.

IMPACT
======

A malicous PV guest administrator can escalate their privilege to that
of the host.

VULNERABLE SYSTEMS
==================

All versions of Xen are vulnerable.

The vulnerability is only exposed to PV guests on x86 hardware.

The vulnerability is not exposed to x86 HVM guests, or ARM guests.

MITIGATION
==========

Running only HVM guests will avoid this vulnerability.

External References:

http://xenbits.xen.org/xsa/advisory-182.html

Acknowledgements:

Name: the Xen project

Comment 1 Adam Mariš 2016-07-13 08:33:30 UTC
Created attachment 1179130 [details]
Xen 4.5 patch

Comment 2 Adam Mariš 2016-07-13 08:33:52 UTC
Created attachment 1179131 [details]
Xen 4.6 patch

Comment 3 Adam Mariš 2016-07-13 08:34:16 UTC
Created attachment 1179132 [details]
xen-unstable patch

Comment 4 Andrej Nemec 2016-07-21 11:21:46 UTC
CVE-2016-6258 was assigned to this issue.

Comment 5 Adam Mariš 2016-07-26 13:45:15 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1360358]

Comment 8 Fedora Update System 2016-08-05 20:54:38 UTC
xen-4.6.3-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-08-08 23:53:44 UTC
xen-4.5.3-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.